NSidedSurfaceBuilder Class

class NXOpen.Features.NSidedSurfaceBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.NSidedSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateNSidedSurfaceBuilder()

Default values.

Property Value
CenterControlFlat.Value 100
CenterControlTiltX.Value 50
CenterControlTiltY.Value 50
CenterControlTrimFlat.Value 50
CenterControlX.Value 50
CenterControlY.Value 50
CenterControlZ.Value 50

New in version NX6.0.0.

Properties

Property Description
CenterControlFlat Returns the center control flat
CenterControlTiltX Returns the center control tilt x direction
CenterControlTiltY Returns the center control tilt y direction
CenterControlTrimFlat Returns the center control flat for trimming
CenterControlX Returns the center control x direction
CenterControlY Returns the center control y direction
CenterControlZ Returns the center control z direction
ConstraintFaces Returns the constraint faces
Continuity Returns the continuity
CurvatureTolerance Returns or sets the curvature tolerance
FlowDirection Returns or sets the flow direction
InteriorCurveList Returns the list of interior curves
MergeFaces Returns or sets the merge-faces option
OrientationVector Returns or sets the orientation vector.
OuterLoop Returns the outer loop
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PositionTolerance Returns or sets the position tolerance
RectanglePointFirst Returns or sets the first rectangle point.
RectanglePointSecond Returns or sets the second rectangle point.
RectanglePointThird Returns or sets the third rectangle point.
SpineCurve Returns the spine curve.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TangentTolerance Returns or sets the tangent tolerance
TrimToBoundary Returns or sets the trim-to-boundary option
Type Returns or sets the surface type
UVOrientation Returns or sets the UV orientation

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

CenterControlFlat

NSidedSurfaceBuilder.CenterControlFlat

Returns the center control flat

-------------------------------------

Getter Method

Signature CenterControlFlat

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CenterControlTiltX

NSidedSurfaceBuilder.CenterControlTiltX

Returns the center control tilt x direction

-------------------------------------

Getter Method

Signature CenterControlTiltX

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CenterControlTiltY

NSidedSurfaceBuilder.CenterControlTiltY

Returns the center control tilt y direction

-------------------------------------

Getter Method

Signature CenterControlTiltY

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CenterControlTrimFlat

NSidedSurfaceBuilder.CenterControlTrimFlat

Returns the center control flat for trimming

-------------------------------------

Getter Method

Signature CenterControlTrimFlat

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CenterControlX

NSidedSurfaceBuilder.CenterControlX

Returns the center control x direction

-------------------------------------

Getter Method

Signature CenterControlX

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CenterControlY

NSidedSurfaceBuilder.CenterControlY

Returns the center control y direction

-------------------------------------

Getter Method

Signature CenterControlY

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CenterControlZ

NSidedSurfaceBuilder.CenterControlZ

Returns the center control z direction

-------------------------------------

Getter Method

Signature CenterControlZ

Returns:
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

ConstraintFaces

NSidedSurfaceBuilder.ConstraintFaces

Returns the constraint faces

-------------------------------------

Getter Method

Signature ConstraintFaces

Returns:
Return type:NXOpen.ScCollector

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

Continuity

NSidedSurfaceBuilder.Continuity

Returns the continuity

-------------------------------------

Getter Method

Signature Continuity

Returns:
Return type:NXOpen.GeometricUtilities.Continuity

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

CurvatureTolerance

NSidedSurfaceBuilder.CurvatureTolerance

Returns or sets the curvature tolerance

-------------------------------------

Getter Method

Signature CurvatureTolerance

Returns:
Return type:float

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature CurvatureTolerance

Parameters:curvatureTolerance (float) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

FlowDirection

NSidedSurfaceBuilder.FlowDirection

Returns or sets the flow direction

-------------------------------------

Getter Method

Signature FlowDirection

Returns:
Return type:NXOpen.Features.NSidedSurfaceBuilderFlowDirectionType

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature FlowDirection

Parameters:button (NXOpen.Features.NSidedSurfaceBuilderFlowDirectionType) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

InteriorCurveList

NSidedSurfaceBuilder.InteriorCurveList

Returns the list of interior curves

-------------------------------------

Getter Method

Signature InteriorCurveList

Returns:
Return type:NXOpen.SectionList

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

MergeFaces

NSidedSurfaceBuilder.MergeFaces

Returns or sets the merge-faces option

-------------------------------------

Getter Method

Signature MergeFaces

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature MergeFaces

Parameters:mergeFaces (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

OrientationVector

NSidedSurfaceBuilder.OrientationVector

Returns or sets the orientation vector.

This is used only if UVOrientation is UVOrientationType.Vector

-------------------------------------

Getter Method

Signature OrientationVector

Returns:
Return type:NXOpen.Direction

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature OrientationVector

Parameters:orientationVector (NXOpen.Direction) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”), nx_freeform_1 (“basic freeform modeling”)

OuterLoop

NSidedSurfaceBuilder.OuterLoop

Returns the outer loop

-------------------------------------

Getter Method

Signature OuterLoop

Returns:
Return type:NXOpen.Section

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

PositionTolerance

NSidedSurfaceBuilder.PositionTolerance

Returns or sets the position tolerance

-------------------------------------

Getter Method

Signature PositionTolerance

Returns:
Return type:float

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature PositionTolerance

Parameters:positionTolerance (float) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

RectanglePointFirst

NSidedSurfaceBuilder.RectanglePointFirst

Returns or sets the first rectangle point.

This is used only if UVOrientation is UVOrientationType.Area

-------------------------------------

Getter Method

Signature RectanglePointFirst

Returns:
Return type:NXOpen.Point

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature RectanglePointFirst

Parameters:firstPoint (NXOpen.Point) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

RectanglePointSecond

NSidedSurfaceBuilder.RectanglePointSecond

Returns or sets the second rectangle point.

This is used only if UVOrientation is UVOrientationType.Area

-------------------------------------

Getter Method

Signature RectanglePointSecond

Returns:
Return type:NXOpen.Point

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature RectanglePointSecond

Parameters:secondPoint (NXOpen.Point) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

RectanglePointThird

NSidedSurfaceBuilder.RectanglePointThird

Returns or sets the third rectangle point.

This is used only if UVOrientation is UVOrientationType.Area

-------------------------------------

Getter Method

Signature RectanglePointThird

Returns:
Return type:NXOpen.Point

New in version NX8.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature RectanglePointThird

Parameters:thirdPoint (NXOpen.Point) –

New in version NX8.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

SpineCurve

NSidedSurfaceBuilder.SpineCurve

Returns the spine curve.

This is used only if UVOrientation is UVOrientationType.Spine

-------------------------------------

Getter Method

Signature SpineCurve

Returns:
Return type:NXOpen.Section

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

TangentTolerance

NSidedSurfaceBuilder.TangentTolerance

Returns or sets the tangent tolerance

-------------------------------------

Getter Method

Signature TangentTolerance

Returns:
Return type:float

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature TangentTolerance

Parameters:tangentTolerance (float) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

TrimToBoundary

NSidedSurfaceBuilder.TrimToBoundary

Returns or sets the trim-to-boundary option

-------------------------------------

Getter Method

Signature TrimToBoundary

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature TrimToBoundary

Parameters:trimToBoundary (bool) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

Type

NSidedSurfaceBuilder.Type

Returns or sets the surface type

-------------------------------------

Getter Method

Signature Type

Returns:
Return type:NXOpen.Features.NSidedSurfaceBuilderSurfaceType

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature Type

Parameters:surfaceType (NXOpen.Features.NSidedSurfaceBuilderSurfaceType) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

UVOrientation

NSidedSurfaceBuilder.UVOrientation

Returns or sets the UV orientation

-------------------------------------

Getter Method

Signature UVOrientation

Returns:
Return type:NXOpen.Features.NSidedSurfaceBuilderUVOrientationType

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

-------------------------------------

Setter Method

Signature UVOrientation

Parameters:button (NXOpen.Features.NSidedSurfaceBuilderUVOrientationType) –

New in version NX6.0.0.

License requirements: features_modeling (“FEATURES MODELING”), nx_freeform_1 (“basic freeform modeling”)

Method Detail

Validate

NSidedSurfaceBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.